Package com.logicaldoc.core.document

# Interface DocumentLinkDAO

All Superinterfaces:
  `PersistentObjectDAO<DocumentLink>`

All Known Implementing Classes:
  `HibernateDocumentLinkDAO`

public interface DocumentLinkDAO extends PersistentObjectDAO<DocumentLink>
DAO for `DocumentLink` handling.

Since:
  4.0
Author:
  Matteo Caruso - LogicalDOC

## Field Summary

### Fields inherited from interface com.logicaldoc.core.PersistentObjectDAO

`ENTITY`

## Method Summary

Modifier and Type
Method
Description
`List<DocumentLink>`
`findByDocId(long docId)`
This method finds the list of document link in which there is a document with the given ID
`List<DocumentLink>`
`findByDocId(long docId, String type)`
This method finds the list of document link, filtered by the given link type, in which there is a document with the given ID
`DocumentLink`
`findByDocIdsAndType(long docId1, long docId2, String type)`
Find a document link using its alternate keys
`static DocumentLinkDAO`
`get()`
Gets the object available in the application context

### Methods inherited from interface com.logicaldoc.core.PersistentObjectDAO

`bulkUpdate, count, count, count, delete, delete, deleteAll, deleteAll, evict, evict, findAll, findAll, findAllIds, findAllIds, findById, findById, findByObjectQuery, findByQuery, findByQuery, findByWhere, findByWhere, findIdsByWhere, findIdsByWhere, getDatabaseMetadata, getDbms, initialize, initialize, isMariaDB, isMySQL, isOracle, isPostgreSQL, isSQLServer, jdbcUpdate, jdbcUpdate, query, query, queryForDouble, queryForDouble, queryForInt, queryForInt, queryForList, queryForList, queryForList, queryForLong, queryForLong, queryForObject, queryForObject, queryForResultSet, queryForString, queryForString, store`

## Method Details

### get

static DocumentLinkDAO get()
Gets the object available in the application context

Returns:
  the instance of this object in the application context

### findByDocId

List<DocumentLink> findByDocId(long docId) throws PersistenceException
This method finds the list of document link in which there is a document with the given ID

Parameters:
  `docId` - ID of the document
Returns:
  The list of document link
Throws:
  `PersistenceException` - Error in the database

### findByDocId

List<DocumentLink> findByDocId(long docId, String type) throws PersistenceException
This method finds the list of document link, filtered by the given link type, in which there is a document with the given ID

Parameters:
  `docId` - ID of the document
  `type` - Type of each document link in the return list
Returns:
  The list of document link
Throws:
  `PersistenceException` - Error in the database

### findByDocIdsAndType

DocumentLink findByDocIdsAndType(long docId1, long docId2, String type) throws PersistenceException
Find a document link using its alternate keys

Parameters:
  `docId1` - identifier of the first document
  `docId2` - identifier of the second
  `type` - the document type(null or pdf
Returns:
  The found instance
Throws:
  `PersistenceException` - Error in the database